Chart_functions

## Functions

FGAPI fg_err | fg_create_chart (fg_chart *pHandle, const fg_chart_type pChartType)
| Create a Chart object with given dimensional property.
FGAPI fg_err | fg_retain_chart (fg_chart *pOut, fg_chart pChart)
| Increase reference count for the chart resource.
FGAPI fg_err | fg_release_chart (fg_chart pHandle)
| Destroy the chart object.
FGAPI fg_err | fg_set_chart_axes_titles (fg_chart pHandle, const char *pX, const char *pY, const char *pZ)
| Set axes titles for the chart.
FGAPI fg_err | fg_set_chart_axes_limits (fg_chart pHandle, const float pXmin, const float pXmax, const float pYmin, const float pYmax, const float pZmin, const float pZmax)
| Set axes data ranges.
FGAPI fg_err | fg_set_chart_label_format (fg_chart pHandle, const char *pXFormat, const char *pYFormat, const char *pZFormat)
| Set the format for display of axes labels in a chart.
FGAPI fg_err | fg_get_chart_axes_limits (float *pXmin, float *pXmax, float *pYmin, float *pYmax, float *pZmin, float *pZmax, const fg_chart pHandle)
| Get axes data ranges.
FGAPI fg_err | fg_set_chart_legend_position (fg_chart pHandle, const float pX, const float pY)
| Set legend position for Chart.
FGAPI fg_err | fg_append_image_to_chart (fg_chart pChart, fg_image pImage)
| Add an existing image object to chart.
FGAPI fg_err | fg_append_histogram_to_chart (fg_chart pChart, fg_histogram pHistogram)
| Add an existing histogram object to chart.
FGAPI fg_err | fg_append_plot_to_chart (fg_chart pChart, fg_plot pPlot)
| Add an existing plot object to chart.
FGAPI fg_err | fg_append_surface_to_chart (fg_chart pChart, fg_surface pSurface)
| Add an existing surface object to chart.
FGAPI fg_err | fg_append_vector_field_to_chart (fg_chart pChart, fg_vector_field pField)
| Add an existing vector field object to chart.
FGAPI fg_err | fg_add_image_to_chart (fg_image *pImage, fg_chart pHandle, const unsigned pWidth, const unsigned pHeight, const fg_channel_format pFormat, const fg_dtype pType)
| Create and add an Image object to the current chart.
FGAPI fg_err | fg_add_histogram_to_chart (fg_histogram *pHistogram, fg_chart pHandle, const unsigned pNBins, const fg_dtype pType)
| Create and add an Histogram object to the current chart.
FGAPI fg_err | fg_add_plot_to_chart (fg_plot *pPlot, fg_chart pHandle, const unsigned pNPoints, const fg_dtype pType, const fg_plot_type pPlotType, const fg_marker_type pMarkerType)
| Create and add an Plot object to the current chart.
FGAPI fg_err | fg_add_surface_to_chart (fg_surface *pSurface, fg_chart pHandle, const unsigned pXPoints, const unsigned pYPoints, const fg_dtype pType, const fg_plot_type pPlotType, const fg_marker_type pMarkerType)
| Create and add an Plot object to the current chart.
FGAPI fg_err | fg_add_vector_field_to_chart (fg_vector_field *pField, fg_chart pHandle, const unsigned pNPoints, const fg_dtype pType)
| Create and add an Vector Field object to the current chart.
FGAPI fg_err | fg_render_chart (const fg_window pWindow, const fg_chart pChart, const int pX, const int pY, const int pWidth, const int pHeight)
| Render the chart to given window.
FGAPI fg_err | fg_get_chart_type (fg_chart_type *pChartType, const fg_chart pChart)
| Render the type of a chart.

## Detailed Description

## Function Documentation

## fg_add_histogram_to_chart()

FGAPI fg_err fg_add_histogram_to_chart | ( | fg_histogram * | pHistogram,
|  | fg_chart | pHandle,
|  | const unsigned | pNBins,
|  | const fg_dtype | pType )

Create and add an Histogram object to the current chart.

Parameters

  [out] | pHistogram | is the handle of the histogram object created
  [in] | pHandle | is chart handle
  [in] | pNBins | is number of bins the data is sorted out
  [in] | pType | takes one of the values of fg_dtype that indicates the integral data type of histogram data

Returns
  fg_err error code

## fg_add_image_to_chart()

FGAPI fg_err fg_add_image_to_chart | ( | fg_image * | pImage,
|  | fg_chart | pHandle,
|  | const unsigned | pWidth,
|  | const unsigned | pHeight,
|  | const fg_channel_format | pFormat,
|  | const fg_dtype | pType )

Create and add an Image object to the current chart.

Parameters

  [out] | pImage | is the handle of the image object created
  [in] | pHandle | is chart handle to which image object will be added.
  [in] | pWidth | Width of the image
  [in] | pHeight | Height of the image
  [in] | pFormat | Color channel format of image, uses one of the values of fg_channel_format
  [in] | pType | takes one of the values of fg_dtype that indicates the integral data type of histogram data

Returns
  fg_err error code

## fg_add_plot_to_chart()

FGAPI fg_err fg_add_plot_to_chart | ( | fg_plot * | pPlot,
|  | fg_chart | pHandle,
|  | const unsigned | pNPoints,
|  | const fg_dtype | pType,
|  | const fg_plot_type | pPlotType,
|  | const fg_marker_type | pMarkerType )

Create and add an Plot object to the current chart.

Parameters

  [out] | pPlot | is the handle of the plot object created
  [in] | pHandle | is chart handle
  [in] | pNPoints | is number of data points to display
  [in] | pType | takes one of the values of fg_dtype that indicates the integral data type of plot data
  [in] | pPlotType | dictates the type of plot/graph, it can take one of the values of fg_plot_type
  [in] | pMarkerType | indicates which symbol is rendered as marker. It can take one of the values of fg_marker_type.

Returns
  fg_err error code

## fg_add_surface_to_chart()

FGAPI fg_err fg_add_surface_to_chart | ( | fg_surface * | pSurface,
|  | fg_chart | pHandle,
|  | const unsigned | pXPoints,
|  | const unsigned | pYPoints,
|  | const fg_dtype | pType,
|  | const fg_plot_type | pPlotType,
|  | const fg_marker_type | pMarkerType )

Create and add an Plot object to the current chart.

Parameters

  [out] | pSurface | is the handle of the surface object created
  [in] | pHandle | is chart handle
  [in] | pXPoints | is number of data points along X dimension
  [in] | pYPoints | is number of data points along Y dimension
  [in] | pType | takes one of the values of fg_dtype that indicates the integral data type of plot data
  [in] | pPlotType | is the render type which can be one of fg_plot_type (valid choices are FG_PLOT_SURFACE and FG_PLOT_SCATTER)
  [in] | pMarkerType | is the type of fg_marker_type to draw for FG_PLOT_SCATTER plot type

Returns
  fg_err error code

## fg_add_vector_field_to_chart()

FGAPI fg_err fg_add_vector_field_to_chart | ( | fg_vector_field * | pField,
|  | fg_chart | pHandle,
|  | const unsigned | pNPoints,
|  | const fg_dtype | pType )

Create and add an Vector Field object to the current chart.

Parameters

  [out] | pField | is the handle of the Vector Field object created
  [in] | pHandle | is chart handle
  [in] | pNPoints | is number of data points to display
  [in] | pType | takes one of the values of fg_dtype that indicates the integral data type of vector field data

Returns
  fg_err error code

## fg_append_histogram_to_chart()

FGAPI fg_err fg_append_histogram_to_chart | ( | fg_chart | pChart,
|  | fg_histogram | pHistogram )

Add an existing histogram object to chart.

Parameters

  [in] | pChart | is the chart to which histogram has to be added
  [in] | pHistogram | is the histogram to be added to the chart

Returns
  fg_err error code

## fg_append_image_to_chart()

FGAPI fg_err fg_append_image_to_chart | ( | fg_chart | pChart,
|  | fg_image | pImage )

Add an existing image object to chart.

Parameters

  [in] | pChart | is the chart to which image has to be added
  [in] | pImage | is the image to be added to the chart

Returns
  fg_err error code

## fg_append_plot_to_chart()

FGAPI fg_err fg_append_plot_to_chart | ( | fg_chart | pChart,
|  | fg_plot | pPlot )

Add an existing plot object to chart.

Parameters

  [in] | pChart | is the chart to which plot has to be added
  [in] | pPlot | is the plot to be added to the chart

Returns
  fg_err error code

## fg_append_surface_to_chart()

FGAPI fg_err fg_append_surface_to_chart | ( | fg_chart | pChart,
|  | fg_surface | pSurface )

Add an existing surface object to chart.

Parameters

  [in] | pChart | is the chart to which surface has to be added
  [in] | pSurface | is the surface to be added to the chart

Returns
  fg_err error code

## fg_append_vector_field_to_chart()

FGAPI fg_err fg_append_vector_field_to_chart | ( | fg_chart | pChart,
|  | fg_vector_field | pField )

Add an existing vector field object to chart.

Parameters

  [in] | pChart | is the chart to which vector field has to be added
  [in] | pField | is the vector field to be added to the chart

Returns
  fg_err error code

## fg_create_chart()

FGAPI fg_err fg_create_chart | ( | fg_chart * | pHandle,
|  | const fg_chart_type | pChartType )

Create a Chart object with given dimensional property.

Parameters

  [out] | pHandle | will be set to point to the chart object in memory
  [in] | pChartType | is chart dimension property

Returns
  fg_err error code

## fg_get_chart_axes_limits()

FGAPI fg_err fg_get_chart_axes_limits | ( | float * | pXmin,
|  | float * | pXmax,
|  | float * | pYmin,
|  | float * | pYmax,
|  | float * | pZmin,
|  | float * | pZmax,
|  | const fg_chart | pHandle )

Get axes data ranges.

Parameters

  [out] | pXmin | is x-axis minimum data value
  [out] | pXmax | is x-axis maximum data value
  [out] | pYmin | is y-axis minimum data value
  [out] | pYmax | is y-axis maximum data value
  [out] | pZmin | is z-axis minimum data value
  [out] | pZmax | is z-axis maximum data value
  [in] | pHandle | is chart handle

## fg_get_chart_type()

FGAPI fg_err fg_get_chart_type | ( | fg_chart_type * | pChartType,
|  | const fg_chart | pChart )

Render the type of a chart.

Parameters

  [out] | pChartType | return the type of the chart
  [in] | pChart | is chart handle

Returns
  fg_err error code

## fg_release_chart()

FGAPI fg_err fg_release_chart | ( | fg_chart | pHandle | ) |

Destroy the chart object.

Parameters

  [in] | pHandle | is chart handle

Returns
  fg_err error code

## fg_render_chart()

FGAPI fg_err fg_render_chart | ( | const fg_window | pWindow,
|  | const fg_chart | pChart,
|  | const int | pX,
|  | const int | pY,
|  | const int | pWidth,
|  | const int | pHeight )

Render the chart to given window.

Parameters

  [in] | pWindow | is target window to where chart will be rendered
  [in] | pChart | is chart handle
  [in] | pX | is x coordinate of origin of viewport in window coordinates
  [in] | pY | is y coordinate of origin of viewport in window coordinates
  [in] | pWidth | is the width of the viewport
  [in] | pHeight | is the height of the viewport

Returns
  fg_err error code

## fg_retain_chart()

FGAPI fg_err fg_retain_chart | ( | fg_chart * | pOut,
|  | fg_chart | pChart )

Increase reference count for the chart resource.

Parameters

  [out] | pOut | is new reference to existing resource
  [in] | pChart | is the existing chart resource handle

Returns
  fg_err error code

## fg_set_chart_axes_limits()

FGAPI fg_err fg_set_chart_axes_limits | ( | fg_chart | pHandle,
|  | const float | pXmin,
|  | const float | pXmax,
|  | const float | pYmin,
|  | const float | pYmax,
|  | const float | pZmin,
|  | const float | pZmax )

Set axes data ranges.

Parameters

  [in] | pHandle | is chart handle
  [in] | pXmin | is x-axis minimum data value
  [in] | pXmax | is x-axis maximum data value
  [in] | pYmin | is y-axis minimum data value
  [in] | pYmax | is y-axis maximum data value
  [in] | pZmin | is z-axis minimum data value
  [in] | pZmax | is z-axis maximum data value

## fg_set_chart_axes_titles()

FGAPI fg_err fg_set_chart_axes_titles | ( | fg_chart | pHandle,
|  | const char * | pX,
|  | const char * | pY,
|  | const char * | pZ )

Set axes titles for the chart.

Parameters

  [in] | pHandle | is chart handle
  [in] | pX | is x-axis title label
  [in] | pY | is y-axis title label
  [in] | pZ | is z-axis title label

Returns
  fg_err error code

## fg_set_chart_label_format()

FGAPI fg_err fg_set_chart_label_format | ( | fg_chart | pHandle,
|  | const char * | pXFormat,
|  | const char * | pYFormat,
|  | const char * | pZFormat )

Set the format for display of axes labels in a chart.

Parameters

  [in] | pHandle | is chart handle
  [in] | pXFormat | sets the display format for numbers of X axis
  [in] | pYFormat | sets the display format for numbers of Y axis
  [in] | pZFormat | sets the display format for numbers of Z axis

Display format string follows printf style formating for numbers

## fg_set_chart_legend_position()

FGAPI fg_err fg_set_chart_legend_position | ( | fg_chart | pHandle,
|  | const float | pX,
|  | const float | pY )

Set legend position for Chart.

Parameters

  [in] | pHandle | is chart handle
  [in] | pX | is horizontal position in normalized coordinates
  [in] | pY | is vertical position in normalized coordinates

Returns
  fg_err error code

Note
  By normalized coordinates, the range of these coordinates is expected to be [0-1]. (0,0) is the bottom hand left corner.